ANSWER(1L)

NAME
answer - phone message transcription system

SYNOPSIS
answer [ -pu ] [ -d class=debugfile:level ]

DESCRIPTION
[ WARNING: Answer may have currently broken. ]

Answer is a part of the Elm mail system and is designed for secretaries and the like to allow them to answer phones and|or listen to phone message machines and quickly and easily transcribe the messages into electronic mail.

The program will use standard mail addresses or aliases included in the standard .elm directory alias files. It can also use its own alias set (usually a subset of the system aliases, with more fields per user (i.e. unique first names, unique last names, first-initial last name, and so on)). Note that if you want to use this capability, it means that you must create this alias set and then install it, using newalias, as a separate alias table for the account this program is to be run from.

Options are:

-p  Prompt for phone slip type message fields.

-u  Allow names that are not in the alias table. Without this option all names must be resolvable as aliases and answer will reprompt for a new name if the alias cannot be resolved.

-d class=debugfile:level
    Debug - set specified debug level - Output to "$HOME/ANSWER:debug.info" if debugfile is not given. Has no effect unless answer was compiled with debugging enabled.

Interface-wise, the program is a breeze to use - type 'answer' to start it up and then merely type a user name at the

	Message to:
prompt, fill in the requested information (simply type an "x" next to the pertinent information - "TELEPHONED", "PLEASE CALL", "URGENT", etc. if the -p option was given), and then enter a message, if any, ending with a blank line. If you elect to use the special alias file, names can be entered as 'Firstname Lastname' and the system will try to find a mail alias based on the first letter of the first name plus the last name. For example, 'Dave Taylor' will cause the program to search for an alias 'd_taylor' in the file (note the transliteration into lower case). The program will loop until killed or quit.

Answer can be easily exited by typing any of 'quit', 'exit' 'done', or 'bye' at the 'Message to:' prompt.

AUTHOR
Elm Development Group, Kari Hurtta

SEE ALSO
The Elm Alias System Users Guide

newalias(1L), checkalias(1L), mail(1), mailx(1), from(1L), printmail(1L)

FILES
/usr/local/etc/mail/elm/elm.rc customized mailer parameters
$HOME/.elm/elmrc customized mailer parameters
$HOME/.elm/aliases.text individual alias source
$HOME/.elm/aliases.dir individual alias dbz directory table
$HOME/.elm/aliases.pag individual alias dbz hash table
$HOME/.elm/aliases individual alias data table
/tmp/snd.$$ edit buffer for outgoing mail

BUG REPORTS TO
Kari Hurtta elm@elmme-mailer.org

COPYRIGHTS
Copyright 1996-2005 by Kari Hurtta
Based on Elm 2.4, Copyright 1988-1992 by The USENET Community Trust
Derived from Elm 2.0, Copyright 1986, 1987 by Dave Taylor